/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.dupfinder;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;


class Helper {
	// Ressourcen
	final static ResourceBundle resources = ResourceBundle.getBundle("de.hillenbrand.dupfinder.resources.dupfinder");
	
	
	
	private Helper()  {
	}

	
	static String GRS(String id)  {
		try
			{
			return resources.getString(id);
			}
		catch (MissingResourceException x) 
			{
			System.err.println(x.getLocalizedMessage() + ": '" + id + "'" );
			return "MISSING RESOURCE: " + id;
			}
	}

	
	static String GRS(String id, String arg1)  {
		String res = GRS(id);
		
		try
			{
			res = MessageFormat.format(res, arg1);
			}
		catch (Exception x) { System.err.println(x); }
		
		return res;
	}

	
	static String GRS(String id, String arg1, String arg2, String arg3)  {
		String res = GRS(id);
		
		try
			{
			res = MessageFormat.format(res, arg1, arg2, arg3);
			}
		catch (Exception x) { System.err.println(x); }
		
		return res;
	}

}
