/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.dupfinder;

import java.util.*;


class TreeSetComparator implements Comparator {
	
	
	public int compare(Object o1, Object o2)  {
		final TreeSet set1 = (TreeSet) o1;
		final TreeSet set2 = (TreeSet) o2;
		
		final TreeSet data1 = (TreeSet) set1.first();
		final TreeSet data2 = (TreeSet) set2.first();
		
		if (data1 == null || data2 == null) return 1;
		
		final JDupFinderFile file1 = (JDupFinderFile)data1.first();
		final JDupFinderFile file2 = (JDupFinderFile)data2.first();
		
		if (file1 == null || file2 == null) return 1;
		
		return file1.compareTo(file2);
	}

}
